QGIS Application - Feature request #17015
Disabling FieldCalcBar
2017-08-14 09:48 AM - Mart Reinola

Status: Open

Priority: Normal

Assignee:

Category: Field calculator

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 24914
Description

Add functionality to disable/hide the FieldCalcBar, that appears in vector layer attribute table, when the layer is in editing mode.

History

#1 - 2017-08-14 07:03 PM - Nyall Dawson
- Status changed from Open to Feedback

Why? What's the use case here?

#2 - 2017-08-15 08:53 AM - Mart Reinola

The reason is pretty simple. When in editing mode, the FieldCalcBar is the most prominent part of the attribute table, where user can type in, and next to it
is a handy button. People who are not so familiar with QGIS can think its the search dialog. They can choose a field, type in a search phrase and hit a
button. Pretty much all you expect from a search dialog, i wish all search dialogs were that simple and easy to use.

Except it doesnt search anything and messes up your data. Its not a theoretical threat, i've seen it happen a few times.

#3 - 2017-08-17 10:12 AM - Mart Reinola
- Status changed from Feedback to Open
